adinstbpm - Task #20353
Milestone # 20350 (New): IOTA BPM deployment

Adapter for NML timing module
07/18/2018 02:19 PM - John Diamond

Status: Work in progress Start date: 07/18/2018
Priority: Normal Due date:

Assignee: John Diamond % Done: 50%
Category: Estimated time: 3.00 hours
Target version: Spent time: 1.00 hour
Description

History

#1 - 07/19/2018 09:45 PM - John Diamond
- Status changed from New to Work in progress
- Assignee set to John Diamond

- % Done changed from 0 to 30

Implemented a device adapter class for the IOTA timing module.

Right now the BTime is hard-coded as the only TSG device class. We'll need to make this a setting in bpmd.conf.

#2 - 07/20/2018 09:33 AM - John Diamond
- % Done changed from 30 to 50

The TSG adapter is now being loaded according to the timingSys.driver setting in bpmd.conf.
